

	<?php
		
	/* ----------------------------------------------------------------------------------
		Author Name, Avatar, Description and Website Details
	---------------------------------------------------------------------------------- */		
	if ( have_posts() ) : the_post();
	if(get_query_var('author_name')) :
		$curauth = get_userdatabylogin(get_query_var('author_name'));
	else :
		$curauth = get_userdata(get_query_var('author'));
	endif;
	?>

	<div class="about-author round5">
			
		<div class="author-img">			
			<?php echo get_avatar(get_the_author_meta('email'),$size='100',$default=get_template_directory_uri().'/images/thumbs/blog-author.jpg' ); ?>			
		</div>
					
		<p class="about-author-title"><?php _e('About', 'swmtranslate')?> <?php echo $curauth->nickname; ?></p>					
		<p><?php echo $curauth->description; ?></p>
		
		<?php if ($curauth->user_url) { ?>
		
			<p style="margin-top:10px;"><strong><?php _e('Website:', 'swmtranslate')?></strong> <a href="<?php echo $curauth->user_url; ?>"><?php echo $curauth->user_url; ?></a></p>
			
		<?php } ?>	
		
		<div class="clear"></div>
		
	</div><!-- .about-author .round5-->	
	
	<?php endif; ?>		

	<ul class="clear">		
		
		<?php

		/* ----------------------------------------------------------------------------------
			Author Posts List
		---------------------------------------------------------------------------------- */	
		
		rewind_posts();
		
		if ( have_posts() ) : 
			while (have_posts()) : the_post(); 
							
			
			/* Display Post Date,Comments and Sharebox */
		
		swm_display_blog_date_section(); ?>				
				
			<div class="post-content left">					
					
				<?php 
					
					/* Display Post Format */
					
					swm_display_post_format(); ?>	
					
					<div class="clear"></div>
					
				<?php
					
					/* Display Post Title */
					
					$format = get_post_format(); 
					if ( $format != 'aside' && $format != 'quote' && $format != 'link' ) { ?>
	
						<h2><a href="<?php the_permalink(); ?>" title="<?php printf(__('Permanent Link to %s', 'swmtranslate'), get_the_title()); ?>" ><?php the_title(); ?></a></h2> 
					
						<?php 
					} ?>
					
				<?php				
				
					/* Display Post Summery/Excerpt */					
					
					$swm_show_excerpt = of_get_option('swm_show_excerpt');
					$swm_excerpt_length = of_get_option('swm_excerpt_length');
					
					if ( $format != 'quote' && $format != 'aside' ) { 
					
						if($swm_show_excerpt) { ?>
							<p> <?php
							swm_the_excerpt($swm_excerpt_length); ?>
							</p> <?php
						} else {
							the_content();
						} ?>
						
				<?php 
					} 	
					
					/* Display Read more button */	
					
					swm_display_post_button(); ?>
				
			</div><!-- .post-content -->
				
			<div class="clear"></div><br />	
				
		<?php   
				
			/* Display Categories and Author information */	
				
			swm_display_category_author(); ?>
			

			<?php endwhile; else: ?>
			<p><?php _e('No posts by this author.', 'swmtranslate'); ?></p>

		<?php endif; ?>		
	</ul>
	
	<?php 
	
	/* ----------------------------------------------------------------------------------
		Pagination
	---------------------------------------------------------------------------------- */	
	
	 /* Display navigation to next/previous pages when applicable */ ?>
<?php if (  $wp_query->max_num_pages > 1 ) : ?>
			 <?php if(function_exists('swm_pagination')) { ?>
				 <?php swm_pagination(); ?>
			 <?php }else{ ?>
				<div id="nav-below" class="navigation">
					<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&laquo;</span> Older', 'templatesquare' ) ); ?></div>
					<div class="nav-next"><?php previous_posts_link( __( 'Newer <span class="meta-nav">&raquo;</span>', 'templatesquare' ) ); ?></div>
				</div><!-- #nav-below -->
			<?php }?>
<?php endif; ?>