<?php 

$nameError = '';
$emailError = '';
$commentError = '';
$emailTo = of_get_option('swm_contact_form_email');					
$subject = (of_get_option('swm_contact_form_subject') <> '') ? stripslashes(of_get_option('swm_contact_form_subject')) : 'Message from '.$name.'';					

if(isset($_POST['submitted'])) {
	if(trim($_POST['contactName']) === '') {
		$nameError = 'Please enter your name.';
		$hasError = true;
	} else {
		$name = trim($_POST['contactName']);
	}		
	if(trim($_POST['email']) == '')  {
			$emailError = 'Please enter your email address.';
			$hasError = true;
		} else if (!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$", trim($_POST['email']))) {
			$emailError = 'You entered an invalid email address.';
			$hasError = true;
		} else {
			$email = trim($_POST['email']);
		}
		
	if(trim($_POST['comments']) === '') {
		$commentError = 'Please enter a message.';
		$hasError = true;
	} else {
		if(function_exists('stripslashes')) {
			$comments = stripslashes(trim($_POST['comments']));
		} else {
			$comments = trim($_POST['comments']);
		}
	}
		
	if(!isset($hasError)) {
		
		if (!isset($emailTo) || ($emailTo == '') ){
			$emailTo = get_option('admin_email');
		}
		
		$body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
		$headers = 'From: '.$name.' <'.$email.'>' . "\r\n" . 'Reply-To: ' . $email;
		
		mail($emailTo, $subject, $body, $headers);
		$emailSent = true;
	}
	
} ?>
		
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>					

		<?php $label_name = (of_get_option('swm_contact_form_label_name') <> '') ? stripslashes(of_get_option('swm_contact_form_label_name')) : 'Name'; ?>
		<?php $label_email = (of_get_option('swm_contact_form_label_email') <> '') ? stripslashes(of_get_option('swm_contact_form_label_email')) : 'Email'; ?>
		<?php $label_message = (of_get_option('swm_contact_form_label_message') <> '') ? stripslashes(of_get_option('swm_contact_form_label_message')) : 'Message'; ?>
		<?php $label_submit = (of_get_option('swm_contact_form_label_submit') <> '') ? stripslashes(of_get_option('swm_contact_form_label_submit')) : 'Submit'; ?>	
		<?php $message_success = (of_get_option('swm_contact_form_success_message') <> '') ? stripslashes(of_get_option('swm_contact_form_success_message')) : 'Thank you, your email was sent successfully.'; ?>
		
		<?php the_content(); ?>		
		
		<?php if(isset($emailSent) && $emailSent == true) { ?>

			<div class="contactform-success">
				<p><?php echo $message_success; ?></p>
			</div>

		<?php } else { ?>			

			<?php if(isset($hasError) || isset($captchaError)) { ?>
				<p class="error"><?php _e('Sorry, an error occured.', 'swmtranslate') ?><p>
			<?php } ?>

			<form action="<?php the_permalink(); ?>" id="contactForm" method="post">															
									
				<p>
				<label for="contactName"><?php echo $label_name; ?></label>							
					<input type="text" name="contactName" id="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>" class="required contact-input" />
					<?php if($nameError != '') { ?>
						<span class="error"><?php echo $nameError; ?></span> 
					<?php } ?>
				</p>			
				<p>
				<label for="email"><?php echo $label_email; ?></label>				
					<input type="text" name="email" id="email" value="<?php if(isset($_POST['email']))  echo $_POST['email'];?>" class="required contact-input email" />
					<?php if($emailError != '') { ?>
						<span class="error"><?php echo $emailError; ?></span>
					<?php } ?>
				</p>			
				<p>
				<label for="commentsText"><?php echo $label_message; ?></label> 						
					<textarea name="comments" id="commentsText" rows="20" cols="30" class="required contact-textarea"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?></textarea>
					<?php if($commentError != '') { ?>
						<span class="error"><?php echo $commentError; ?></span> 
					<?php } ?>
				</p>				
				<p>	
				<input type="hidden" name="submitted" id="submitted" value="true" />
				<button type="submit" class="button_size2"><span><?php echo $label_submit; ?></span></button>
				</p>	
		
			</form>
		<?php } ?>			
				
	<?php endwhile; endif; ?>