<?php

/* ----------------------------------------------------------------------------------
	Post Details
---------------------------------------------------------------------------------- */	
				
if (have_posts()) : while (have_posts()) : the_post();			
	
	$postType = get_post_type();

	if ($postType == 'portfolio') {
		
		the_content();
		
	} else {
		
			swm_display_blog_date_section(); ?>				
					
				<div class="post-content left">					
						
					<?php 
						
						/* Display Post Format */
						
						swm_display_post_format(); ?>	
						
						<div class="clear"></div>
						
					<?php
						
						/* Display Post Title */					
						
						$format = get_post_format(); 
						if ( $format != 'aside' && $format != 'quote' && $format != 'link' ) { ?>
		
							<h2><a href="<?php the_permalink(); ?>" title="<?php printf(__('Permanent Link to %s', 'swmtranslate'), get_the_title()); ?>" ><?php the_title(); ?></a></h2> 
						
							<?php 
						}
						
						the_content();
						?>
					
				</div><!-- .post-content -->
					
				<div class="clear"></div>	
					
			<?php   
					
				/* Display Categories and Author information */					
				
				swm_display_category_author();				
				
		
		/* ----------------------------------------------------------------------------------
			About Author Box
		---------------------------------------------------------------------------------- */		
		
		$swm_about_author_box = of_get_option('swm_about_author_box');
		$url = get_the_author_meta( 'user_login' );
		$url = str_replace(' ' , '-', $url );	
		
		if ($swm_about_author_box) { ?>
		
			<div class="about-author round5">
				
				<div class="author-img">
					<a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>">
						<?php echo get_avatar(get_the_author_meta('email'),$size='100',$default=get_template_directory_uri().'/images/thumbs/blog-author.jpg' ); ?>
					</a>
				</div>
							
				<p class="about-author-title"><?php _e('About the Author:', 'swmtranslate'); ?></p>					
				<p><?php the_author_meta('description'); ?></p>
				
				<div class="clear"></div>
				
			</div><!-- .about-author .round5-->
			
			<div class="divider2" style="margin-bottom:40px;"></div>		
		
		<?php } 
		
		
		/* ----------------------------------------------------------------------------------
			Post Comments
		---------------------------------------------------------------------------------- */	
		
		comments_template('', true); 		
		
	}		
	
endwhile;
endif; 
?>