/* ************************************************************************************** 
	Upload Button
************************************************************************************** */

jQuery(document).ready(function() {

	jQuery('#swm_upload_title_icon_button').click(function() {
		
		window.send_to_editor = function(html) {
			
			imgurl = jQuery('img',html).attr('src');
			jQuery('#swm_header_title_icon').val(imgurl);
			tb_remove();
		}	 
	 
		tb_show('', 'media-upload.php?post_id=0&amp;type=image&amp;TB_iframe=true');
		return false;
		
	}); 
});

/* ************************************************************************************** 
	Sort Portfolio Items
************************************************************************************** */

jQuery(document).ready(function($) {
    var swm_item_list = $('#swm_sort_items');
    
    swm_item_list.sortable({
        update: function(event, ui) {
            
            my_options = {
                url: ajaxurl,
                type: 'POST',
                async: true,
                cache: false,
                dataType: 'json',
                data:{
                    action: 'swm_sort_order',
                    order: swm_item_list.sortable('toArray').toString() 
                },
                success: function(response) {
                    return;
                },
                error: function(xhr,textStatus,e) {
                    alert('There was an error saving the update.');
                    return;
                }
            };
            $.ajax(my_options);
        }
    });
});

/* ************************************************************************************** 
	Post Formats
************************************************************************************** */

jQuery(document).ready(function() {	

	/* Aside */	
	var metabox_aside = jQuery('#swm-meta-box-aside');
	var aside_onlick = jQuery('#post-format-aside');	
	metabox_aside.css('display', 'none');	

	/* Image */	
	var metabox_image = jQuery('#swm-meta-box-image');
	var image_onlick = jQuery('#post-format-image');	
	metabox_image.css('display', 'none');

	/* Link */	
	var metabox_link = jQuery('#swm-meta-box-link');
	var link_onlick = jQuery('#post-format-link');	
	metabox_link.css('display', 'none');

	/* Quote */
	var metabox_quote = jQuery('#swm-meta-box-quote');
	var quote_onlick = jQuery('#post-format-quote');	
	metabox_quote.css('display', 'none');

	/* Video */	
	var metabox_video = jQuery('#swm-meta-box-video');
	var video_onlick = jQuery('#post-format-video');	
	metabox_video.css('display', 'none');

	var postFormatsMetaBoxes = jQuery('#post-formats-select input');	
	
	postFormatsMetaBoxes.change( function() {
		
		if(jQuery(this).val() == 'aside') {
			metabox_aside.css('display', 'block');
			hide_metaboxes(metabox_aside);
			
		} else if(jQuery(this).val() == 'image') {
			metabox_image.css('display', 'block');
			hide_metaboxes(metabox_image);
		
		} else if(jQuery(this).val() == 'link') {
			metabox_link.css('display', 'block');
			hide_metaboxes(metabox_link);	
			
		} else if(jQuery(this).val() == 'quote') {
			metabox_quote.css('display', 'block');
			hide_metaboxes(metabox_quote);
			
		} else if(jQuery(this).val() == 'video') {
			metabox_video.css('display', 'block');
			hide_metaboxes(metabox_video);
			
		} else {
			metabox_aside.css('display', 'none');
			metabox_image.css('display', 'none');
			metabox_link.css('display', 'none');
			metabox_quote.css('display', 'none');
			metabox_video.css('display', 'none');
		}		
	});
	
	if(aside_onlick.is(':checked')) { 
		metabox_aside.css('display', 'block');
	}
	
	if(image_onlick.is(':checked')) { 
		metabox_image.css('display', 'block');
	}
	
	if(link_onlick.is(':checked')) { 
		metabox_link.css('display', 'block');
	}
	
	if(quote_onlick.is(':checked')) { 
		metabox_quote.css('display', 'block'); 
	}
		
	if(video_onlick.is(':checked')) { 
		metabox_video.css('display', 'block');
	}	
		
	function hide_metaboxes(show_metabox) {		
		metabox_aside.css('display', 'none');
		metabox_image.css('display', 'none');
		metabox_link.css('display', 'none');
		metabox_quote.css('display', 'none');
		metabox_video.css('display', 'none');	
		show_metabox.css('display', 'block');
	}

});