(function($) {
"use strict";
    
	tinymce.PluginManager.add( 'swmShortcodes', function( editor, url ) {
		
		editor.addCommand("swmPopup", function ( a, params )
		{
			var popup = params.identifier;
			tb_show("Insert Shortcode", url + "/popup.php?popup=" + popup + "&width=" + 800);
		});

        editor.addButton( 'swm_button', {
            type: 'splitbutton',
            icon: 'swmcustomicon',                    
			title:  'Shortcodes',					
			menu: 
			[
				{text: 'Typography',
					menu: 
					[
                    	{text: 'Button',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Button',identifier: 'button'})
						}},
						{text: 'Column',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Column',identifier: 'columns'})
						}},
						{text: 'Dropcaps',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Dropcaps',identifier: 'dropcaps'})
						}},
						{text: 'Highlight',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Highlight',identifier: 'highlight'})
						}},
						{text: 'List Styles',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'List Styles',identifier: 'textlist'})
						}},
						{text: 'Line Break',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Line Break',identifier: 'linebreak'})
						}},						
						{text: 'Quotes',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Quotes',identifier: 'quote'})
						}},						
						{text: 'Tabs',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Tabs',identifier: 'tabs'})
						}},
						{text: 'Toggle',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Toggle',identifier: 'toggle'})
						}}						
	                ]
				},				

				{text: 'Info Boxes',
					menu: 
					[						
						{text: 'Info Box',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Info Box',identifier: 'infoboxes'})
						}},
						{text: 'Fancy Box',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Fancy Box',identifier: 'fancybox'})
						}},
						{text: 'Promotion Box',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Promotion Box',identifier: 'promotionbox'})
						}},
						{text: 'Whitebox',onclick:function(){
							editor.execCommand("swmPopup", false, {title: 'Whitebox',identifier: 'whitebox'})
						}}						
					]
				},				
				
				{text: 'Gallery',onclick:function(){
					editor.execCommand("swmPopup", false, {title: 'Gallery',identifier: 'gallery'})
				}},				
				{text: 'Horizontal Menu',onclick:function(){
					editor.execCommand("swmPopup", false, {title: 'Horizontal Menu',identifier: 'horizontalmenu'})
				}},
				{text: 'Image',onclick:function(){
					editor.execCommand("swmPopup", false, {title: 'Image',identifier: 'image'})
				}},
				{text: 'Portfolio Slider',onclick:function(){
					editor.execCommand("swmPopup", false, {title: 'Portfolio Slider',identifier: 'portfolioslider'})
				}},
				{text: 'Pricing Table',onclick:function(){
					editor.execCommand("swmPopup", false, {title: 'Pricing Table',identifier: 'tables'})
				}},
				{text: 'Social Media',onclick:function(){
					editor.execCommand("swmPopup", false, {title: 'Social Media',identifier: 'socialmedia'})
				}},
				{text: 'Team Member',onclick:function(){
					editor.execCommand("swmPopup", false, {title: 'Team Member',identifier: 'teammember'})
				}}						
			
			]			
        
	  });
 
	});
 
})(jQuery);
