<?php

/* Get Slider name from "theme options" slider page dropdown */
$swm_get_slider_name = of_get_option('swm_slider_name'); 
				
if ($swm_get_slider_name == 'nivo-slider') {
	
	/* -------------- Nivo Slider -------------- */

	if (!function_exists('swm_display_nivo_slider')) {
		function swm_display_nivo_slider() { 
		
			$swm_nivo_transition = of_get_option('swm_nivo_transition');	
			$swm_nivo_animation_speed = of_get_option('swm_slider_animation_speed'); 
			$swm_nivo_interval_between_transitions = of_get_option('swm_slider_interval_between_transitions'); 
			$swm_nivo_pause_hover = of_get_option('swm_slider_pause_hover'); 
			$swm_nivo_bullet_navigation = of_get_option('swm_slider_bullet_navigation'); 
			$swm_nivo_arrow_navigation = of_get_option('swm_slider_arrow_navigation'); 
			$swm_nivo_slices = of_get_option('swm_nivo_slices'); 
			$swm_nivo_box_row = of_get_option('swm_nivo_box_row'); 
			$swm_nivo_box_column = of_get_option('swm_nivo_box_column');

			if (is_front_page() || is_home()) {
			?>
<script>
(function($) { $(window).load(function() { 
	jQuery("#nivo-slider").nivoSlider({
		effect:"<?php echo $swm_nivo_transition; ?>",       
		animSpeed:<?php echo $swm_nivo_animation_speed; ?>,
		pauseTime:<?php echo $swm_nivo_interval_between_transitions; ?>,
		startSlide:0,
		directionNav:<?php echo $swm_nivo_arrow_navigation; ?>,
		directionNavHide:false,
		slices: <?php echo $swm_nivo_slices; ?>,
		boxCols: <?php echo $swm_nivo_box_column; ?>,
		boxRows: <?php echo $swm_nivo_box_row; ?>,		
		controlNav: <?php echo $swm_nivo_bullet_navigation; ?>,
		pauseOnHover: <?php echo $swm_nivo_pause_hover; ?>
	});
}); })(jQuery);
</script>
			<?php
			}
		}		
	}
	add_action('wp_head', 'swm_display_nivo_slider');				
	
} elseif ($swm_get_slider_name == 'carousel-slider') {
	
	/* -------------- Carousel Slider -------------- */

	if (!function_exists('swm_display_carousel_slider')) {
		function swm_display_carousel_slider() { 
		
			$swm_carousel_transition = of_get_option('swm_carousel_transition');	
			$swm_carousel_animation_speed = of_get_option('swm_slider_animation_speed'); 
			$swm_carousel_interval_between_transitions = of_get_option('swm_slider_interval_between_transitions'); 
			$swm_carousel_pause_hover = of_get_option('swm_slider_pause_hover'); 
			$swm_carousel_bullet_navigation = of_get_option('swm_slider_bullet_navigation'); 

			if (is_front_page() || is_home()) {
	?>
<script>
(function($) { $(document).ready(function() { $("#carousel").featureCarousel({ 			   
	carouselSpeed:<?php echo $swm_carousel_animation_speed; ?>,	
	autoPlay:<?php echo $swm_carousel_interval_between_transitions; ?>, 	
	pauseOnHover:<?php echo $swm_carousel_pause_hover; ?>,	   
	animationEasing:'<?php echo $swm_carousel_transition; ?>',
	trackerIndividual:<?php echo $swm_carousel_bullet_navigation; ?>
	}); 
}); })(jQuery);
</script>
			<?php			
			}		
		}		
	}
	add_action('wp_head', 'swm_display_carousel_slider');
	
} elseif ($swm_get_slider_name == 'skitter-slider') {
	
	/* -------------- Skitter Slider -------------- */

	if (!function_exists('swm_display_skitter_slider')) {
		function swm_display_skitter_slider() { 
		
			$swm_skitter_transition = of_get_option('swm_skitter_transition');	
			$swm_skitter_animation_speed = of_get_option('swm_slider_animation_speed'); 
			$swm_skitter_interval_between_transitions = of_get_option('swm_slider_interval_between_transitions'); 
			$swm_skitter_pause_hover = of_get_option('swm_slider_pause_hover'); 
			$swm_skitter_bullet_navigation = of_get_option('swm_slider_bullet_navigation'); 
			$swm_skitter_arrow_navigation = of_get_option('swm_slider_arrow_navigation'); 
			$swm_skitter_thumb_preview = of_get_option('swm_skitter_thumb_preview'); 		
			$swm_skitter_caption = of_get_option('swm_slider_caption');	
			
			if (is_front_page() || is_home()) {
			?>
			
<script>
(function($) { $(document).ready(function() {
	$(".box_skitter_large").skitter({
		animation:'<?php echo $swm_skitter_transition; ?>',				
		dots: <?php echo $swm_skitter_bullet_navigation; ?>, 
		preview: <?php echo $swm_skitter_thumb_preview; ?>,
		interval: <?php echo $swm_skitter_interval_between_transitions; ?>,
		label:<?php echo $swm_skitter_caption; ?>,
		navigation: <?php echo $swm_skitter_arrow_navigation; ?>,
		stop_over: <?php echo $swm_skitter_pause_hover; ?>			
	});
}); })(jQuery);
</script>
		<?php
			}
		}		
	}
	add_action('wp_head', 'swm_display_skitter_slider');	
	
} else { 

	/* -------------- Cycle Slider -------------- */

	if (!function_exists('swm_display_cycle_slider')) {
		function swm_display_cycle_slider() { 
		
			$swm_cycle_transition = of_get_option('swm_cycle_transition');	
			$swm_cycle_animation_speed = of_get_option('swm_slider_animation_speed'); 
			$swm_cycle_interval_between_transitions = of_get_option('swm_slider_interval_between_transitions'); 
			$swm_cycle_pause_hover = of_get_option('swm_slider_pause_hover'); 
			
			if (is_front_page() || is_home()) {
			
			?>
<script>
(function($) { $(window).load(function() {
	$('ul#slideshow').cycle({  
		fx:'<?php echo $swm_cycle_transition; ?>',
		timeout:<?php echo $swm_cycle_interval_between_transitions; ?>,  // milliseconds between slide transitions (0 to disable auto advance)					
		speed:<?php echo $swm_cycle_animation_speed; ?>,  // speed of the transition (any valid fx speed value)						
		pause:<?php echo $swm_cycle_pause_hover; ?>,
		prev:'#prev',
		next:'#next',
		pager:'#nav',
		pagerAnchorBuilder: pagerFactory
	});
	function pagerFactory(idx, slide) {
		var s = idx > 10 ? ' style="display:none"' : '';
		return '<span'+s+'><a href="#">'+(idx+1)+'</a></span>';
	};			
});	})(jQuery);	
</script>
			<?php
			}
		}		
	}
	add_action('wp_head', 'swm_display_cycle_slider');			

}