<?php 
	
	$title_icon = get_post_meta($post->ID, 'swm_header_title_icon', true);
	$title_description = get_post_meta($post->ID, 'swm_sub_title_text', true);
	
	?>	
	
	<!-- *************************************** -->
	<div id="header-inner">
		<div id="title-section">		
			
			<div id="header-icons">
				<ul>					
					<?php 					
					swm_display_searchbox();					
					swm_display_social_media(); ?>										
				</ul>
			</div> <!-- .header-icons -->
			
			<div id="page-title">
				
				<?php 
				
					/* Display Title with icon and tagline */
					
					if ($title_icon) { ?>
				
					<img src="<?php echo $title_icon; ?>" class="title-icon" alt="" />	
				
				<?php } ?>
				
				<div class="page-heading">
				
				<?php if ($title_description != '') { ?>
					
					<h1><?php the_title(); ?><br />
						<sub><?php echo $title_description; ?></sub>
					</h1>
					
					<?php } else { ?>
						<h1 style="margin-top:-20px;"><?php the_title(); ?>	</h1>
					<?php } ?>
					
				</div> <!-- .page-title -->
			</div> <!-- .left -->	
			
			<div class="clear"></div>
			
			<!--Breadcrumb-->
			<div id="breadcrumb">
				<ul>					
					<?php swm_display_breadcrumbs(); ?>					
				</ul>
			</div> <!-- #breadcrumb -->	
		
		</div> <!-- .title-section -->			
	</div> <!-- #header-inner -->	