<?php
/*
Template Name: Portfolio 2 Column - Classic
*/

get_header(); ?>
	
	<!-- *************************************** -->
	<div id="container">
		<div id="content">			     					
			
			<!-- *************************************** -->
			<?php swm_display_portfolio_menu(); ?>
			
			<div class="clear"></div>
			
			<div class="portfolio pf-one-half">
					
				    <section class="swm_portfolio swm_portfolio_sort">
				      	<?php 
				      		
				      		$count = 1;
							$items_per_page	= -1;
							$items_per_page	= of_get_option('swm_portfolio_pagination_2column');
					      	$args = array(
					      	 	'post_type' => 'portfolio',
					      	 	'posts_per_page' => $items_per_page,
								'paged' => $paged,
					      	 	'orderby'=>'menu_order',
					      	 	'type' => get_query_var('type'),
					      	 	'order'     => 'ASC',
					      	 	'tax_query' => array(
									array(
											'taxonomy' => 'portfolio_category',
											'field' => 'id',
											'terms' => $exclude_cat,
											'operator' => 'NOT IN',
											)
									));

							$query = new WP_Query( $args );

						while ($query->have_posts()) : $query->the_post(); 						
							$terms = get_the_terms( get_the_ID(), 'type' );					
				    ?>
				            <article class="<?php foreach ($terms as $term) { echo strtolower(preg_replace('/\s+/', '-', $term->name)). ' '; } ?> swm_portfolio_box swm_portfolio_isotope">	
								<div class="img-one-half">
									<div class="img-one-half-box">
										<div class="fade-img" <?php swm_portfolio_hover_icon(); ?> >	
											<?php swm_portfolio_thumb(get_the_ID(), 'two-column'); ?>
										</div>
									</div>	<!-- .img-one-half-box -->									
								</div> <!-- .img-one-half -->
								
								<div class="portfolio-content">
									<?php												
										/* display portfolio item title, excerpt and read more button */												
										swm_portfolio_title(); 			                   
										swm_portfolio_excerpt(); 
										swm_portfolio_button(); 
									?>											
								</div> <!-- .portfolio-content -->											             
						
								<?php $count++; ?>
				            
							</article>
								<!-- End Portfolio Item -->
								
				            <?php endwhile;	wp_reset_query(); ?>
				        </section>				        
						
				</div> <!-- .portfolio .pf-one-fourth -->					
	
				<div class="clear"></div>

				<div class="clear divider portfolio-hr"></div>
					<?php swm_pagination($query->max_num_pages); ?>				
				<div class="clear"></div>

				<?php 
					/* display page content below portfolio items */
					if (have_posts()) :
					while (have_posts()) : the_post();
					the_content('');
					endwhile;					
					endif;			

get_footer(); ?>