<?php
/**
* The 404 error template for our theme.
*
* @package Photographer
* @since Photographer 3.0
*
*/
get_header(); ?>

<!-- BEGIN .container -->
<div class="container">
	
	<!-- BEGIN .row -->
	<div class="row">
	
		<?php if ( is_active_sidebar( 'default-sidebar' ) ) { ?>
		
			<!-- BEGIN .eight columns -->
			<div class="eight columns">
	    
			    <div class="post-area">    
			        <h1 class="headline"><?php _e("Not Found, Error 404", 'organicthemes'); ?></h1>
			        <p><?php _e("The page you are looking for no longer exists.", 'organicthemes'); ?></p>
			    </div>
	    	
	    	<!-- END .eight columns -->
	    	</div>
	    	
	    	<div class="four columns">
	    		<?php get_sidebar(); ?>
	    	</div>
    	
    	<?php } else { ?>
    	
    		<!-- BEGIN .twelve columns -->
			<div class="twelve columns">
		
			    <div class="post-area full-width">    
			        <h1 class="headline text-center"><?php _e("Not Found, Error 404", 'organicthemes'); ?></h1>
			        <p><?php _e("The page you are looking for no longer exists.", 'organicthemes'); ?></p>
			    </div>
			
			<!-- END .twelve columns -->
			</div>
			
		<?php } ?>

	<!-- END .row -->
	</div>

<!-- END .container -->
</div>

<?php get_footer(); ?>