<div class="<?php if ( is_active_sidebar( 'blog-sidebar' ) ) { ?>post-area blog-small<?php } else { ?>blog-full<?php } ?>">

<?php $wp_query = new WP_Query(array('cat'=>get_theme_mod('photographer_blog_category', '0'), 'posts_per_page'=>get_theme_mod('photographer_blog_postnumber', '10'), 'paged'=>$paged)); ?>
<?php if($wp_query->have_posts()) : while($wp_query->have_posts()) : $wp_query->the_post(); ?>
<?php if (isset($_POST['featurevid'])){ $custom = get_post_custom($post->ID); $featurevid = $custom['featurevid'][0]; } ?>

<!-- BEGIN .blog-holder -->
<div class="blog-holder">

	<?php if (get_theme_mod('display_blog_featured', '1') == '1') { ?>
	
		<?php if ( has_post_thumbnail() && ! is_active_sidebar( 'blog-sidebar' ) ) { ?>
			<a class="feature-img" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'organicthemes' ), the_title_attribute( 'echo=0' ) ) ); ?>">
				<?php if ( get_theme_mod('text_overlay', '1') == '1' ) { ?><div class="complete-center"><h1 class="headline-banner"><?php the_title(); ?></h1></div><?php } ?>
				<?php the_post_thumbnail( 'photographer-featured-large' ); ?>
			</a>
		<?php } ?>
	
	<?php } ?>
    
    <!-- BEGIN .article -->
    <div class="article">
    
    	<?php if ( is_active_sidebar( 'blog-sidebar' ) || has_post_thumbnail() && get_theme_mod('text_overlay', '1') == '' || ! has_post_thumbnail() && ! is_active_sidebar( 'blog-sidebar' ) || get_theme_mod('display_blog_featured', '1') == '' ) { ?>
    		<h1 class="headline text-center"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php esc_attr(the_title_attribute()); ?>"><?php the_title(); ?></a></h1>
    		<p class="post-date text-center"><?php _e("Posted on", 'organicthemes'); ?> <?php the_time(__("F j, Y", 'organicthemes')); ?></p>
    	<?php } ?>
    	
    	<?php if ( get_post_meta($post->ID, 'featurevid', true) ) { ?>
    		<div class="feature-vid"><?php echo get_post_meta($post->ID, 'featurevid', true); ?></div>
    	<?php } else { ?>
    		<?php if (get_theme_mod('display_blog_featured', '1') == '1') { ?>
    	    	<?php if ( has_post_thumbnail() && is_active_sidebar( 'blog-sidebar' ) ) { ?>
    	    		<a class="feature-img" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'organicthemes' ), the_title_attribute( 'echo=0' ) ) ); ?>">
    	    			<?php the_post_thumbnail( 'photographer-featured-large' ); ?>
    	    		</a>
    	    	<?php } ?>
    		<?php } ?>
    	<?php } ?>
    
    	<?php the_content(__("Read More", 'organicthemes')); ?>
    	
    	<!-- BEGIN .post-meta -->
    	<div class="post-meta">
    	
    		<p class="meta-text"><i class="fa fa-comment"></i> <a href="<?php the_permalink(); ?>#comments"><?php comments_number(__("Leave a Comment", 'organicthemes'), __("1 Comment", 'organicthemes'), '% Comments'); ?></a></p>
    		
    		<p class="meta-text align-right text-right"><i class="fa fa-bars"></i><?php the_category(', '); ?><?php $tag_list = get_the_tag_list( __( ", ", 'organicthemes' ) ); if ( ! empty( $tag_list ) ) { ?> &nbsp; <i class="fa fa-tags"></i><?php the_tags(''); ?><?php } ?></p>
    	    
    	<!-- END .post-meta -->
    	</div>
    	
    <!-- END .article -->
    </div>

<!-- END .blog-holder -->
</div>

<?php endwhile; ?>

	<?php if($wp_query->max_num_pages > 1) { ?>
		<div class="pagination">
			<?php echo photographer_get_pagination_links(); ?>
		</div><!-- END .pagination -->
	<?php } ?>

<?php else : // do not delete ?>
        
<div class="error-404">
    <h1 class="headline"><?php _e("Page not Found", 'organicthemes'); ?></h1>
    <p><?php _e("We're sorry, but the page you're looking for isn't here.", 'organicthemes'); ?></p>
    <p><?php _e("Try searching for the page you are looking for or using the navigation in the header or sidebar", 'organicthemes'); ?></p>
</div>

<?php endif; // do not delete ?>

</div>