<?php
/**
*
* This template displays single post content for the theme.
*
* @package Photographer
* @since Photographer 3.0
*
*/
get_header(); ?>

<!-- BEGIN .post class -->
<div <?php post_class('container'); ?> id="page-<?php the_ID(); ?>">

	<?php if ( has_post_thumbnail() && get_theme_mod( 'display_post_featured', '1' ) == '1') { ?>
	
	<!-- BEGIN .row -->
	<div class="row">
	
	    <?php if ( get_post_meta($post->ID, 'featurevid', true) ) { ?>
	    	<div class="feature-vid"><?php echo get_post_meta($post->ID, 'featurevid', true); ?></div>
	    <?php } else { ?>
	    	<?php if ( has_post_thumbnail()) { ?>
	    		<div class="feature-img"><?php the_post_thumbnail( 'photographer-featured-large' ); ?></div>
	    	<?php } ?>
	    <?php } ?>
	    
    <!-- END .row -->
    </div>
	    
	<?php } ?>

	<!-- BEGIN .row -->
	<div class="row">
	
		<!-- BEGIN .twelve columns -->
		<div class="twelve columns">
	  		
	  		<!-- BEGIN .post-area full-width -->
		    <div class="post-area full-width">
			    
			 	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			    <?php if (isset($_POST['featurevid'])){ $custom = get_post_custom($post->ID); $featurevid = $custom['featurevid'][0]; } ?>
			    
			    <h1 class="headline text-center"><?php the_title(); ?></h1>
			    
			    <?php the_content(); ?>
			    
			    <?php wp_link_pages(array(
			        'before' => '<p class="page-links"><span class="link-label">' . __('Pages:', 'organicthemes') . '</span>',
			        'after' => '</p>',
			        'link_before' => '<span>',
			        'link_after' => '</span>',
			        'next_or_number' => 'next_and_number',
			        'nextpagelink' => __('Next', 'organicthemes'),
			        'previouspagelink' => __('Previous', 'organicthemes'),
			        'pagelink' => '%',
			        'echo' => 1 )
			    ); ?>
			    
			    <!-- BEGIN .post-meta -->
			    <div class="post-meta">
			    
			    	<p class="meta-text"><i class="fa fa-comment"></i> <a href="<?php the_permalink(); ?>#comments"><?php comments_number(__("Leave a Comment", 'organicthemes'), __("1 Comment", 'organicthemes'), '% Comments'); ?></a></p>
			    	
			    	<p class="meta-text align-right text-right"><i class="fa fa-bars"></i><?php the_category(', '); ?><?php $tag_list = get_the_tag_list( __( ", ", 'organicthemes' ) ); if ( ! empty( $tag_list ) ) { ?> &nbsp; <i class="fa fa-tags"></i><?php the_tags(''); ?><?php } ?></p>
			        
			    <!-- END .post-meta -->
			    </div>
				
				<div class="post-navigation clearfix">
					<div class="previous-post"><?php previous_post_link('&larr; %link'); ?></div>
					<div class="next-post"><?php next_post_link('%link &rarr;'); ?></div>
				</div><!-- .post-navigation -->
		      
		      	<?php comments_template('',true); ?>
		      
		      	<div class="clear"></div>        
		    
			    <?php endwhile; else: ?>
			    <p><?php _e("Sorry, no posts matched your criteria.", 'organicthemes'); ?></p>
			    <?php endif; ?>
		    
		    <!-- END .post-area full-width -->
		    </div>
	    
	    <!-- END .twelve columns -->
	    </div>
    
    <!-- END .row -->
    </div>
 
<!-- END .post class -->
</div>

<?php get_footer(); ?>