<?php
/**
Template Name: Full Width
*
* This template is used to display a full width page.
*
* @package Photographer
* @since Photographer 3.0
*
*/
get_header(); ?>

<!-- BEGIN .post class -->
<div <?php post_class('container'); ?> id="page-<?php the_ID(); ?>">
	
	<?php if ( has_post_thumbnail()) { ?>
		<a class="feature-img" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php esc_attr(the_title_attribute()); ?>">
			<?php if ( get_theme_mod( 'text_overlay', '1' ) == '1' ) { ?><div class="complete-center"><h1 class="headline-banner"><?php the_title(); ?></h1></div><?php } ?>
			<?php the_post_thumbnail( 'photographer-featured-large' ); ?>
		</a>
	<?php } ?>
	
	<!-- BEGIN .row -->
	<div class="row">
		
		<!-- BEGIN .twelve columns -->
		<div class="twelve columns">
			
			<!-- BEGIN .post-area full-width -->
		    <div class="post-area full-width">
		
		        <?php get_template_part( 'content/loop', 'page' ); ?>
		    
		    <!-- END .post-area full-width -->
		    </div>
		
		<!-- END .twelve columns -->
		</div>
	
	<!-- END .row -->
	</div>

<!-- END .post class -->
</div>

<?php get_footer(); ?>