<?php

$sample_image = SWM_THEME_DIR . '/images/samples/';

/* Toggle */
$swm_shortcodes['toggle'] = array(
	'params' => array(
		'toogle' => array(
			'type' => 'select',
			'label' => __('Toogle Type', 'swmtranslate'),
			'desc' => '',
			'options' => array(
				'toggle' => __('Simple Toggle', 'swmtranslate'),
				'acc_toggle' => __('Accordion Toggle', 'swmtranslate')							
			)
		),
		'style' => array(
			'type' => 'select',
			'label' => __('Toogle Style', 'swmtranslate'),
			'desc' => '',
			'options' => array(
				'1' => __('Box Style', 'swmtranslate'),
				'2' => __('Icon Style', 'swmtranslate')							
			)
		),
		'title' => array(
			'type' => 'text',
			'label' => __('Toggle Content Title', 'swmtranslate'),
			'desc' => __('Add the title that will go above the toggle content', 'swmtranslate'),
			'std' => __('Title', 'swmtranslate')
		),
		'content' => array(
			'std' => __('Insert toggle content here', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Toggle Content', 'swmtranslate'),
			'desc' => __('Add the toggle content.', 'swmtranslate'),
		)
		
	),
	'shortcode' => '[{{toogle}} style="{{style}}" title="{{title}}"] {{content}} [/{{toogle}}]',
	'no_preview' => true, 
	'popup_title' => __('Insert Toggle Content Shortcode', 'swmtranslate')
);

/* Tabs */
$swm_shortcodes['tabs'] = array(         
        'params' => array(
            'title1' => array(
                'std' => __('Tab 1', 'swmtranslate'),
                'type' => 'text',
                'label' => __('Tab 1 Title', 'swmtranslate'),
                'desc' => '',
            ),
            'content1' => array(
			'std' => __('Insert tab description here', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Tab 1 Description', 'swmtranslate'),
			'desc' => '',
			),
			'title2' => array(
                'std' => __('Tab 2', 'swmtranslate'),
                'type' => 'text',
                'label' => __('Tab 2 Title', 'swmtranslate'),
                'desc' => '',
            ),
            'content2' => array(
			'std' => __('Insert tab description here', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Tab 2 Description', 'swmtranslate'),
			'desc' => '',
			),
			'title3' => array(
                'std' => __('Tab 3', 'swmtranslate'),
                'type' => 'text',
                'label' => __('Tab 3 Title', 'swmtranslate'),
                'desc' => '',
            ),
            'content3' => array(
			'std' => __('Insert tab description here', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Tab 3 Description', 'swmtranslate'),
			'desc' => '',
			),
			'title4' => array(
                'std' => __('Tab 4', 'swmtranslate'),
                'type' => 'text',
                'label' => __('Tab 4 Title', 'swmtranslate'),
                'desc' => '',
            ),
            'content4' => array(
			'std' => __('Insert tab description here', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Tab 4 Description', 'swmtranslate'),
			'desc' => '',
			)
        ),
        'shortcode' => '[tabs title="{{title1}},{{title2}},{{title3}},{{title4}}"] 
[tab_container] 
[tab tabno="1"] {{content1}} [/tab] 
[tab tabno="2"] {{content2}} [/tab] 
[tab tabno="3"] {{content3}} [/tab] 
[tab tabno="4"] {{content4}} [/tab] 
[/tab_container] 
[/tabs]',        
		'no_preview' => true, 
		'popup_title' => __('Insert Tabs Shortcode', 'swmtranslate')   
);

/* Columns */
$swm_shortcodes['columns'] = array(
	'params' => array(),
	'shortcode' => ' {{child_shortcode}} ', // as there is no wrapper shortcode
	'popup_title' => __('Insert Columns Shortcode', 'swmtranslate'),
	'no_preview' => true,
	
	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'column' => array(
				'type' => 'select',
				'label' => __('Column Type', 'swmtranslate'),
				'desc' => __('Select the type, ie width of the column.', 'swmtranslate'),
				'options' => array(
					'one_third' => __('One Third', 'swmtranslate'),
					'one_third_last' => __('One Third Last', 'swmtranslate'),
					'two_third' => __('Two Thirds', 'swmtranslate'),
					'two_third_last' => __('Two Thirds Last', 'swmtranslate'),
					'one_half' => __('One Half', 'swmtranslate'),
					'one_half_last' => __('One Half Last', 'swmtranslate'),
					'one_fourth' => __('One Fourth', 'swmtranslate'),
					'one_fourth_last' => __('One Fourth Last', 'swmtranslate'),
					'three_fourth' => __('Three Fourth', 'swmtranslate'),
					'three_fourth_last' => __('Three Fourth Last', 'swmtranslate'),
					'one_fifth' => __('One Fifth', 'swmtranslate'),
					'one_fifth_last' => __('One Fifth Last', 'swmtranslate'),					
					'four_fifth' => __('Four Fifth', 'swmtranslate'),
					'four_fifth_last' => __('Four Fifth Last', 'swmtranslate'),
					'one_sixth' => __('One Sixth', 'swmtranslate'),
					'one_sixth_last' => __('One Sixth Last', 'swmtranslate'),
					'five_sixth' => __('Five Sixth', 'swmtranslate'),
					'five_sixth_last' => __('Five Sixth Last', 'swmtranslate')					
				)
			),
			'content' => array(
				'std' => '',
				'type' => 'textarea',
				'label' => __('Column Content', 'swmtranslate'),
				'desc' => __('Add the column content.', 'swmtranslate'),
			)
		),
		'shortcode' => '[{{column}}] {{content}} [/{{column}}] ',
		'clone_button' => __('Add Column', 'swmtranslate')
	)
);

/* Highlight */
$swm_shortcodes['highlight'] = array(
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Text Highlighting Style', 'swmtranslate'),
			'desc' => __('Select text highlight color', 'swmtranslate'),
			'options' => array(
				'highlight_yellow' => __('Yellow', 'swmtranslate'),
				'highlight_black' => __('Black', 'swmtranslate'),
				'highlight_blue' => __('Blue', 'swmtranslate'),
				'highlight_green' => __('Green', 'swmtranslate'),
				'highlight_red' => __('Red', 'swmtranslate'),
				'highlight_grey' => __('Grey', 'swmtranslate')				
			)
		),
		'content' => array(
			'std' => __('Highlighting Text', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Highlight Text', 'swmtranslate'),
			'desc' => __('Add the highlight text', 'swmtranslate'),
		)
		
	),
	'shortcode' => '[{{style}}] {{content}} [/{{style}}]',
	'no_preview' => true, 
	'popup_title' => __('Insert Highlight Shortcode', 'swmtranslate')
);

/* Dropcaps */
$swm_shortcodes['dropcaps'] = array(
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Dropcaps Style', 'swmtranslate'),
			'desc' => __('Select dropcaps style', 'swmtranslate'),
			'options' => array(
				'dropcap1' => __('Dropcap 1', 'swmtranslate'),
				'dropcap2' => __('Dropcap 2', 'swmtranslate'),
				'dropcap3' => __('Dropcap 3', 'swmtranslate'),
				'dropcap4' => __('Dropcap 4', 'swmtranslate'),
				'dropcap5' => __('Dropcap 5', 'swmtranslate'),
				'dropcap6' => __('Dropcap 6', 'swmtranslate'),
				'dropcap7' => __('Dropcap 7', 'swmtranslate'),
				'dropcap8' => __('Dropcap 8', 'swmtranslate'),
			)
		),
		'content' => array(
			'std' => __('A', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Dropcap Text', 'swmtranslate'),
			'desc' => __('Add the dropcap text', 'swmtranslate'),
		)
		
	),
	'shortcode' => '[{{style}}] {{content}} [/{{style}}]',
	'no_preview' => true, 
	'popup_title' => __('Insert Dropcaps Shortcode', 'swmtranslate')
);

/* Info Boxes */
$swm_shortcodes['infoboxes'] = array(
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Info Box Style', 'swmtranslate'),
			'desc' => __('Select info box style', 'swmtranslate'),
			'options' => array(
				'info' => __('Info', 'swmtranslate'),
				'success' => __('Success', 'swmtranslate'),
				'error' => __('Error', 'swmtranslate'),
				'warning' => __('Warning', 'swmtranslate'),
				'download' => __('Download', 'swmtranslate'),
				'note' => __('Note', 'swmtranslate')				
			)
		),
		'content' => array(
			'std' => __('Sample text', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Info Box Text', 'swmtranslate'),
			'desc' => __('Add the info box text', 'swmtranslate'),
		)
		
	),
	'shortcode' => '[{{style}}] {{content}} [/{{style}}]',
	'no_preview' => true, 
	'popup_title' => __('Insert Info Box Shortcode', 'swmtranslate')
);

/* List Style */
$swm_shortcodes['textlist'] = array(
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('List Styles', 'swmtranslate'),
			'desc' => __('Select list style', 'swmtranslate'),
			'options' => array(
				'list_green' => __('Green Bullet', 'swmtranslate'),
				'list_blue' => __('Blue Bullet', 'swmtranslate'),
				'list_black' => __('Black Bullet', 'swmtranslate'),
				'list_red' => __('Red Bullet', 'swmtranslate'),
				'list_teal' => __('Teal Bullet', 'swmtranslate'),
				'list_orange' => __('Orange Bullet', 'swmtranslate'),
				'list_grey' => __('Grey Bullet', 'swmtranslate'),
				'list_brown' => __('Brown Bullet', 'swmtranslate'),
				'list_yellow' => __('Yellow Bullet', 'swmtranslate'),
				'list_pink' => __('Pink Bullet', 'swmtranslate'),				
				'list_disc_green' => __('Green Disc', 'swmtranslate'),				
				'list_disc_blue' => __('Blue Disc', 'swmtranslate'),				
				'list_disc_black' => __('Black Disc', 'swmtranslate'),				
				'list_disc_red' => __('Red Disc', 'swmtranslate'),				
				'list_disc_teal' => __('Teal Disc', 'swmtranslate'),				
				'list_disc_orange' => __('Orange Disc', 'swmtranslate'),			
				'list_disc_grey' => __('Grey Disc', 'swmtranslate'),				
				'list_disc_brown' => __('Brown Disc', 'swmtranslate'),				
				'list_disc_yellow' => __('Yellow Disc', 'swmtranslate'),				
				'list_disc_pink' => __('Pink Disc', 'swmtranslate'),
				'list_yellowstar' => __('Yellow Star Icon', 'swmtranslate'),
				'list_bluestar' => __('Blue Star Icon', 'swmtranslate'),
				'list_circle' => __('Circle Icon', 'swmtranslate'),
				'list_arrow_small' => __('Small Arrow Icon', 'swmtranslate'),
				'list_arrow' => __('Arrow Green Icon 1', 'swmtranslate'),
				'list_arrow2' => __('Arrow Green Icon 2', 'swmtranslate'),
				'list_plus' => __('Plus Icon', 'swmtranslate'),
				'list_minus' => __('Minus Icon', 'swmtranslate'),
				'list_checkmark' => __('Checkmark Icon 1', 'swmtranslate'),
				'list_checkmark2' => __('Checkmark Icon 2', 'swmtranslate'),
				'list_cross' => __('Cross Icon', 'swmtranslate'),
				'list_blue_arrow' => __('Blue Arrow Icon', 'swmtranslate'),
				'list_black_arrow' => __('Black Arrow Icon', 'swmtranslate'),
				'steps' => __('Steps - Ordered List', 'swmtranslate'),
				'list_lower_roman' => __('Lower Roman - Ordered List', 'swmtranslate'),
				'list_upper_roman' => __('Upper Roman - Ordered List', 'swmtranslate'),
				'list_lower_alpha' => __('Lower Alpha - Ordered List', 'swmtranslate'),
				'list_upper_alpha' => __('Upper Alpha - Ordered List', 'swmtranslate')											
			)
		),		
		'infotext' => array(
			'type' => 'infotext',
			'label' => __('Note:', 'swmtranslate'),
			'desc' => ' <strong>Un-order List Sample Code: </strong><br />
[list_green]  <br />
  &lt;ul&gt; <br />
    &lt;li&gt;Item One&lt;/li&gt;  <br />
    &lt;li&gt;Item Two&lt;/li&gt;  <br />
  &lt;/ul&gt;  <br />
[/list_green]<br /><br />
<strong>Order List Sample Code: </strong> <br />
[list_lower_roman]  <br />
  &lt;ol&gt; <br />
    &lt;li&gt;Item One&lt;/li&gt;  <br />
    &lt;li&gt;Item Two&lt;/li&gt;  <br />
  &lt;/ol&gt;  <br />
[/list_lower_roman]<br /><br />',
			'std' => __('<strong>Use below sample code between list shortcode in <u>"HTML Mode"</u> of WYSIWYG editor.</strong><br /><br />')
		)
		
	),
	'shortcode' => '[{{style}}] Insert order/unorder list text here [/{{style}}]',
	'no_preview' => true,
	'popup_title' => __('Insert List Shortcode', 'swmtranslate')
);

/* Quotes */
$swm_shortcodes['quote'] = array(
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Quote Style', 'swmtranslate'),
			'desc' => __('Select quote style', 'swmtranslate'),
			'options' => array(
				'pullquote_left' => __('Pull Quote Left', 'swmtranslate'),
				'pullquote_right' => __('Pull Quote Right', 'swmtranslate'),
				'blockquote' => __('Block Quote', 'swmtranslate')								
			)
		),
		'content' => array(
			'std' => __('This is sample text', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Quote Text', 'swmtranslate'),
			'desc' => __('Add the quote text', 'swmtranslate'),
		)
		
	),
	'shortcode' => '[{{style}}] {{content}} [/{{style}}]',
	'no_preview' => true, 
	'popup_title' => __('Insert Quote Shortcode', 'swmtranslate')
);

/* Buttons */
$swm_shortcodes['button'] = array(
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Button Style', 'swmtranslate'),
			'desc' => __('Select button style', 'swmtranslate'),
			'options' => array(
				'button_size1' => __('Button Size 1', 'swmtranslate'),
				'button_size2' => __('Button Size 2', 'swmtranslate'),
				'button_size3' => __('Button Size 3', 'swmtranslate'),
				'button_size4' => __('Button Size 4', 'swmtranslate'),
				'button_white' => __('Button White', 'swmtranslate'),
				'skin_button1' => __('Skin Button 1', 'swmtranslate'),
				'skin_button2' => __('Skin Button 2', 'swmtranslate')												
			)
		),
		'link' => array(
			'type' => 'text',
			'label' => __('Button Link', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'content' => array(
			'std' => __('Read more', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Button Text', 'swmtranslate'),
			'desc' => __('Add the button text', 'swmtranslate'),
		)
		
	),
	'shortcode' => '[{{style}} link="{{link}}"] {{content}} [/{{style}}]',
	'no_preview' => true, 
	'popup_title' => __('Insert Button Shortcode', 'swmtranslate')
);

/* Pricing Tables */
$swm_shortcodes['tables'] = array(
	'params' => array(
		'table_column' => array(
			'type' => 'select',
			'label' => __('Table Column', 'swmtranslate'),
			'desc' => '',
			'options' => array(
				'pricing_table1' => __('Four Column Table', 'swmtranslate'),				
				'pricing_table2' => __('Three Column Table', 'swmtranslate')												
			)
		),
		'table_type' => array(
			'type' => 'select',
			'label' => __('Table Style', 'swmtranslate'),
			'desc' => '',
			'options' => array(
				'normal' => __('Normal Style', 'swmtranslate'),				
				'popular' => __('Popular Style', 'swmtranslate')												
			)
		),
		'title' => array(
			'type' => 'text',
			'label' => __('Table Title', 'swmtranslate'),
			'desc' => '',
			'std' => __('Title Here', 'swmtranslate')
		),
		
		'sub_title' => array(
			'type' => 'text',
			'label' => __('Sub Title', 'swmtranslate'),
			'desc' => '',
			'std' => __('sub title here', 'swmtranslate')
		),
		'price' => array(
			'type' => 'text',
			'label' => __('Price', 'swmtranslate'),
			'desc' => '',
			'std' => '$19'
		),
		'price_small_text' => array(
			'type' => 'text',
			'label' => __('Price Small Text', 'swmtranslate'),
			'desc' => '',
			'std' => __('/monthly', 'swmtranslate')
		),
		'button_text' => array(
			'type' => 'text',
			'label' => __('Button Text', 'swmtranslate'),
			'desc' => '',
			'std' => __('ORDER NOW', 'swmtranslate')
		),
		'button_link' => array(
			'type' => 'text',
			'label' => __('Button Link', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'position' => array(
			'type' => 'select',
			'label' => __('Table Position', 'swmtranslate'),
			'desc' => __('If this is three column third table or four column fourth table then select "Last Position" from above dropdown menu.', 'swmtranslate'),
			'options' => array(
				'other' => '',				
				'last' => __('Last Position', 'swmtranslate')												
			)
		),	
		
		'content' => array(
			'std' => '
<ul>
<li> Table Item One </li>
<li> Table Item Two </li>
<li> Table Item Three </li>
</ul>',
			'type' => 'textarea',
			'label' => __('Table Content', 'swmtranslate'),
			'desc' => __('Add the table content in list format.', 'swmtranslate'),
		)
		
	),
	'shortcode' => '[{{table_column}} position="{{position}}" type="{{table_type}}" title="{{title}}" sub_title="{{sub_title}}" price="{{price}}" price_small_text="{{price_small_text}}" button_link="{{button_link}}" button_text="{{button_text}}" ] {{content}} [/{{table_column}}]',
	'no_preview' => true,
	'popup_title' => __('Insert Table Shortcode', 'swmtranslate')
);

/* Gallery */
$swm_shortcodes['gallery'] = array(
	'params' => array(
		'size' => array(
			'type' => 'select',
			'label' => __('Images Size', 'swmtranslate'),
			'desc' => __('Select images size', 'swmtranslate'),
			'options' => array(
				'thumbnail' => __('Small Size', 'swmtranslate'),
				'medium' => __('Medium Size', 'swmtranslate'),
				'large' => __('Large Size', 'swmtranslate')								
			)
		),
		'columns' => array(
			'type' => 'select',
			'label' => __('Columns', 'swmtranslate'),
			'desc' => __('Select column as per images size.', 'swmtranslate'),
			'options' => array(
				'4' => __('4 Column ( for small size images )', 'swmtranslate'),
				'3' => __('3 Column ( for medium size images )', 'swmtranslate'),
				'2' => __('2 Column ( for large size images )', 'swmtranslate')								
			)
		),
		'infotext' => array(
			'type' => 'infotext',
			'label' => __('Note:', 'swmtranslate'),
			'desc' => '',
			'std' => __('Upload gallery images from the same page media section. <br /> (above WYSIWYG toolbar -> camera icon)', 'swmtranslate')
		)
	),
	'shortcode' => '[gallery size="{{size}}" columns="{{columns}}"]',
	'no_preview' => true,
	'popup_title' => __('Insert Gallery Shortcode', 'swmtranslate')
);

/* Team Member */
$swm_shortcodes['teammember'] = array(
	'params' => array(
		'image_src' => array(
			'type' => 'text',
			'label' => __('Team Member Photo', 'swmtranslate'),
			'desc' => '',
			'std' => $sample_image.'team-member.jpg'
		),
		'name' => array(
			'type' => 'text',
			'label' => __('Name', 'swmtranslate'),
			'desc' => '',
			'std' => __('John Doe', 'swmtranslate')
		),
		'position' => array(
			'type' => 'text',
			'label' => __('Position', 'swmtranslate'),
			'desc' => '',
			'std' => __('Project Manager, Develoer', 'swmtranslate')
		),
		'email' => array(
			'type' => 'text',
			'label' => __('Email Id', 'swmtranslate'),
			'desc' => '',
			'std' => 'john@company.com'
		),
		'phone' => array(
			'type' => 'text',
			'label' => __('Phone', 'swmtranslate'),
			'desc' => '',
			'std' => '1-880-987-6543'
		),
		'content' => array(
			'std' => 'Team member bio text here',
			'type' => 'textarea',
			'label' => __('Team Member Info', 'swmtranslate'),
			'desc' => __('Add team member info', 'swmtranslate'),
		),
		'infotext' => array(
			'type' => 'infotext',
			'label' => __('Note:', 'swmtranslate'),
			'desc' => '',
			'std' => __('You can add team member info in two, three or four column with column shortcodes. For example... <br /> [one_third] <br /> team member shortcode here <br /> [/one_third]', 'swmtranslate')
		)
		
	),
	'shortcode' => '[team_member image_src="{{image_src}}" name="{{name}}" position="{{position}}" email="{{email}}" phone="{{phone}}" ] {{content}} [/team_member]',
	'no_preview' => true, 
	'popup_title' => __('Insert Team Member Shortcode', 'swmtranslate')
);

/* Image */
$swm_shortcodes['image'] = array(	
	'params' => array(
		'src' => array(
			'type' => 'text',
			'label' => __('Image Source URL', 'swmtranslate'),
			'desc' => '',
			'std' => $sample_image.'sample-image.jpg'
		),		
		'link' => array(
			'type' => 'text',
			'label' => __('Link on Image', 'swmtranslate'),
			'desc' => __('If you want to add lightbox property on this image then give full size image path in above box.', 'swmtranslate'),
			'std' => '#'
		),
		'align' => array(
			'type' => 'select',
			'label' => __('Image Alignment', 'swmtranslate'),
			'desc' => __('Select column as per images size.', 'swmtranslate'),
			'options' => array(
				'left' => __('Left Align', 'swmtranslate'),
				'right' => __('Right Align', 'swmtranslate'),
				'center' => __('Center Align', 'swmtranslate')											
			)
		),
		'lightbox' => array(
			'type' => 'select',
			'label' => __('Image Alignment', 'swmtranslate'),
			'desc' => __('Enable/Disable large image preview in lightbox', 'swmtranslate'),
			'options' => array(
				'true' => __('Lightbox Enable', 'swmtranslate'),
				'false' => __('Lightbox Disable', 'swmtranslate')														
			)
		),
		'alt' => array(
			'type' => 'text',
			'label' => __('Image Alternate Text', 'swmtranslate'),
			'desc' => '',
			'std' => ''
		),		
		'title' => array(
			'type' => 'text',
			'label' => __('Image Title Text', 'swmtranslate'),
			'desc' => '',
			'std' => ''
		)		
	),
	'shortcode' => '[image src="{{src}}" align="{{align}}" link="{{link}}" alt="{{alt}}" title="{{title}}" lightbox="{{lightbox}}" ]',
	'no_preview' => true, 
	'popup_title' => __('Insert Team Member Shortcode', 'swmtranslate')
);

/* Whitebox */
$swm_shortcodes['whitebox'] = array(
	'params' => array(
		'title' => array(
			'type' => 'text',
			'label' => __('Whitebox Title', 'swmtranslate'),
			'desc' => '',
			'std' => __('Title Here', 'swmtranslate')
		),		
		'sub_title' => array(
			'type' => 'text',
			'label' => __('Whitebox Sub Title', 'swmtranslate'),
			'desc' => '',
			'std' => __('sub title text', 'swmtranslate')
		),
		'src' => array(
			'type' => 'text',
			'label' => __('Whitebox Image', 'swmtranslate'),
			'desc' => __('Sample image size : 231px width and 110px height', 'swmtranslate'),
			'std' => $sample_image.'home-pic1.png'
		),		
		'link' => array(
			'type' => 'text',
			'label' => __('Link on Image', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'alt' => array(
			'type' => 'text',
			'label' => __('Image Alternate Text', 'swmtranslate'),
			'desc' => '',
			'std' => ''
		),
		'position' => array(
			'type' => 'select',
			'label' => __('Whitebox Position', 'swmtranslate'),
			'desc' => __('If this is third whitebox then select "Last Position" from above dropdown menu. Leave it blank if this is first and second whitebox.', 'swmtranslate'),
			'options' => array(
				'other' => '',				
				'last' => __('Last Position', 'swmtranslate')												
			)
		),		
		'content' => array(
			'std' => __('Insert whitebox text here', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Table Content', 'swmtranslate'),
			'desc' => __('Add the table content in list format.', 'swmtranslate'),
		)		
	),
	'shortcode' => '[whitebox position="{{position}}" title="{{title}}" sub_title="{{sub_title}}" ] [whitebox_image src="{{src}}" link="{{link}}" alt="{{alt}}"] {{content}} [/whitebox]',
	'no_preview' => true,
	'popup_title' => __('Insert Table Shortcode', 'swmtranslate')
);

/* Promotion Box */
$swm_shortcodes['promotionbox'] = array(
	'params' => array(
		'button_text' => array(
			'type' => 'text',
			'label' => __('Promotion Box Button Text', 'swmtranslate'),
			'desc' => '',
			'std' => __('SIGNUP NOW', 'swmtranslate')
		),
		'button_link' => array(
			'type' => 'text',
			'label' => __('Promotion Box Button Link', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),		
		'content' => array(
			'std' => __('Subscribe for 12 months and get an extra 2 months free!', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Promotion Box Text', 'swmtranslate'),
			'desc' => __('Add the promotion box text', 'swmtranslate'),
		)		
	),
	'shortcode' => '[promotion_box button_text="{{button_text}}" button_link="{{button_link}}" ] {{content}} [/promotion_box]',
	'no_preview' => true,
	'popup_title' => __('Insert Promotion Box Shortcode', 'swmtranslate')
);

/* Fancy Box */
$swm_shortcodes['fancybox'] = array(
	'params' => array(
		'title' => array(
			'type' => 'text',
			'label' => __('Title Text', 'swmtranslate'),
			'desc' => '',
			'std' => __('Title Text', 'swmtranslate')
		),
		'background' => array(
			'type' => 'text',
			'label' => __('Title Background Color', 'swmtranslate'),
			'desc' => __('Add title background with color value ( e.g. #484848 or grey, blue, green etc. )', 'swmtranslate'),
			'std' => '#484848'
		),		
		'content' => array(
			'std' => __('Insert fancybox text here', 'swmtranslate'),
			'type' => 'textarea',
			'label' => __('Promotion Box Text', 'swmtranslate'),
			'desc' => __('Add the promotion box text', 'swmtranslate'),
		)		
	),
	'shortcode' => '[fancybox title="{{title}}" background="{{background}}" ] {{content}} [/fancybox]',
	'no_preview' => true,
	'popup_title' => __('Insert Promotion Box Shortcode', 'swmtranslate')
);

/* Portfolio slider */
$swm_shortcodes['portfolioslider'] = array(
    'params' => array(),
    'no_preview' => true,
    'shortcode' => '[portfolio_slider] {{child_shortcode}} [/portfolio_slider]',
    'popup_title' => __('Insert Single Page Portfolio Slider Shortcode', 'swmtranslate'),
    
    'child_shortcode' => array(
        'params' => array(
            'src' => array(
                'std' => $sample_image.'portfolio-single-pic.jpg',
                'type' => 'text',
                'label' => __('Slide Image Source', 'swmtranslate'),
                'desc' => __('Sample image size : 606px width and 280px height', 'swmtranslate'),
            ),
			'link' => array(
                'std' => '#',
                'type' => 'text',
                'label' => __('Link on Image', 'swmtranslate'),
                'desc' => '',
            ),
			'caption' => array(
                'std' => __('Image caption text', 'swmtranslate'),
                'type' => 'text',
                'label' => __('Image Caption', 'swmtranslate'),
                'desc' => '',
            )            
        ),
        'shortcode' => '[portfolio_slide src="{{src}}" link="{{link}}" caption="{{caption}}"]',
		'no_preview' => true, 
        'clone_button' => __('Add Tab', 'swmtranslate')
    )
);

/* Line Breaks */
$swm_shortcodes['linebreak'] = array(
	'params' => array(
		'linebreak' => array(
			'type' => 'select',
			'label' => __('Toogle Type', 'swmtranslate'),
			'desc' => '',
			'options' => array(
				'hr' => __('Horizontal Line', 'swmtranslate'),
				'hr2' => __('Horizontal Line with Shadow', 'swmtranslate'),
				'top' => __('Horizontal Line with "Top" Link', 'swmtranslate'),
				'top2' => __('Horizontal Shadow line with "Top" Link', 'swmtranslate')				
			)
		),
		'infotext' => array(
			'type' => 'infotext',
			'label' => __('Note:', 'swmtranslate'),
			'desc' => '',
			'std' => __('If you want to give simple line break then use shortcode [break] <br />
					  Use shortcode [clear] to fix content left or right floating problems.', 'swmtranslate')
		)		
	),
	'shortcode' => '[{{linebreak}}]',
	'no_preview' => true, 
	'popup_title' => __('Insert Line Break Shortcode', 'swmtranslate')
);


/* Social Media */
$swm_shortcodes['socialmedia'] = array(
	'params' => array(
		'iconsize' => array(
			'type' => 'select',
			'label' => __('Icon Size', 'swmtranslate'),
			'desc' => '',
			'options' => array(
				'1' => __('16px x 16px', 'swmtranslate'),
				'2' => __('32px x 32px', 'swmtranslate')					
			)
		),		
		'twitter_link' => array(
			'type' => 'text',
			'label' => __('Twitter', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'facebook_link' => array(
			'type' => 'text',
			'label' => __('Facebook', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'youtube_link' => array(
			'type' => 'text',
			'label' => __('YouTube', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'flickr_link' => array(
			'type' => 'text',
			'label' => __('Flickr', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'linkedin_link' => array(
			'type' => 'text',
			'label' => __('Linkedin', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'vimeo_link' => array(
			'type' => 'text',
			'label' => __('Vimeo', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'rss_link' => array(
			'type' => 'text',
			'label' => __('RSS', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'blogger_link' => array(
			'type' => 'text',
			'label' => __('Blogger', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'delicious_link' => array(
			'type' => 'text',
			'label' => __('Delicious', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'digg_link' => array(
			'type' => 'text',
			'label' => __('Digg', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'myspace_link' => array(
			'type' => 'text',
			'label' => __('My Space', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'stumbleupon_link' => array(
			'type' => 'text',
			'label' => __('StumbleUpon', 'swmtranslate'),
			'desc' => '',
			'std' => '#'
		),
		'infotext' => array(
			'type' => 'infotext',
			'label' => __('Other Social Medias', 'swmtranslate'),
			'desc' => '[apple link="#"] <br />
						[brightkite link="#"] <br />
						[designfloat link="#"] <br />
						[dopplr link="#"] <br />
						[friendfeed link="#"] <br />
						[gamespot link="#"] <br />
						[google link="#"] <br />
						[lastfm link="#"] <br />
						[mixx link="#"] <br />
						[mobileme link="#"] <br />
						[netvibes link="#"] <br />
						[newsvine link="#"] <br />
						[openid link="#"] <br />
						[picasa link="#"] <br />
						[posterous link="#"] <br />
						[reddit link="#"] <br />
						[skype link="#"] <br />
						[technorati link="#"] <br />
						[tumblr link="#"] <br />
						[viddler link="#"] <br />
						[virb link="#"] <br />
						[wordpress link="#"] <br />
						[yahoo link="#"] <br />
						[yahoobuzz link="#"] <br />
						[yelp link="#"]',
			'std' => 'Below are additional social media shortcodes which you can use as per your website requirement.'
		)	
	),
	'shortcode' => '
	
	[social_media size="{{iconsize}}" ] 
	
	[twitter link="{{twitter_link}}"]
	[facebook link="{{facebook_link}}"]
	[youtube link="{{youtube_link}}"]
	[flickr link="{{flickr_link}}"]
	[linkedin link="{{linkedin_link}}"]
	[vimeo link="{{vimeo_link}}"]
	[rss link="{{rss_link}}"]
	[blogger link="{{blogger_link}}"]	
	[delicious link="{{delicious_link}}"]
	[digg link="{{digg_link}}"]
	[myspace link="{{myspace_link}}"]
	[stumbleupon link="{{stumbleupon_link}}"]
	
	[/social_media]',
	
	'no_preview' => true,
	'popup_title' => __('Insert Social Media Shortcode', 'swmtranslate')
);

/* Horizontal Menu */
$swm_shortcodes['horizontalmenu'] = array(         
        'params' => array(
            'text1' => array(
                'std' => __('Tab 1 Text', 'swmtranslate'),
                'type' => 'text',
                'label' => __('Tab 1 Text', 'swmtranslate'),
                'desc' => '',
            ),
            'link1' => array(
			'std' => '#',
			'type' => 'text',
			'label' => __('Tab 1 link', 'swmtranslate'),
			'desc' => '',
			),
			'text2' => array(
                'std' => __('Tab 2 Text', 'swmtranslate'),
                'type' => 'text',
                'label' => __('Tab 2 Text', 'swmtranslate'),
                'desc' => '',
            ),
            'link2' => array(
			'std' => '#',
			'type' => 'text',
			'label' => __('Tab 2 link', 'swmtranslate'),
			'desc' => '',
			),
			'text3' => array(
                'std' => __('Tab 3 Text', 'swmtranslate'),
                'type' => 'text',
                'label' => __('Tab 3 Text', 'swmtranslate'),
                'desc' => '',
            ),
            'link3' => array(
			'std' => '#',
			'type' => 'text',
			'label' => __('Tab 3 link', 'swmtranslate'),
			'desc' => '',
			),
			'text4' => array(
                'std' => __('Tab 4 Text', 'swmtranslate'),
                'type' => 'text',
                'label' => __('Tab 4 Text', 'swmtranslate'),
                'desc' => '',
            ),
            'link4' => array(
			'std' => '#',
			'type' => 'text',
			'label' => __('Tab 4 link', 'swmtranslate'),
			'desc' => '',
			)
        ),
        'shortcode' => '[horizontal_tab]
[menu_tab text="{{text1}}" link="{{link1}}" active="true"]
[menu_tab text="{{text2}}" link="{{link2}}"]
[menu_tab text="{{text3}}" link="{{link3}}"]
[menu_tab text="{{text4}}" link="{{link4}}" ]
[/horizontal_tab]',        
		'no_preview' => true, 
		'popup_title' => __('Insert Horizontal Menu Shortcode', 'swmtranslate')   
);




?>