<?php 

if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) { 
    
    $swm_featured_image = wp_get_attachment_url(get_post_thumbnail_id($id));
	$thumb = '<img src="'.swm_resize($swm_featured_image, 503, '', true,'c', false).'" alt="" />';
	
	
	if (is_single()) { ?>
		
		<div class="post-thumb">			
			<div class="post-img">
				<div class="post-img-box">						
					<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" >			
						<?php swm_display_image_caption(); ?>		
						<?php echo $thumb; ?>									
					</a>					
				</div>
			</div>	
		</div>			
		
	<?php } else { ?>
	
		<div class="post-thumb">			
			<div class="post-img">
				<div class="post-img-box">
					<div class="fade-img" lang="zoom-icon">			
						<a href="<?php echo $swm_featured_image; ?>" title="<?php the_title(); ?>" rel="prettyPhoto" >			
							<?php swm_display_image_caption(); ?>		
							<?php echo $thumb; ?>									
						</a>
					</div>
				</div>
			</div>	
		</div>		
		
<?php }		
}
 
?>