<div id="cycle-slider">			
	<ul id="slideshow">	
						
	<?php 				      		
		$count 		=	1;
		$itemlimit 	=	-1;				      		
		$pageid 	= 	get_the_ID();							
		
		$args = array(
			'post_type' => 'slider',
			'orderby'=>'menu_order',
			'order'     => 'ASC',
			'posts_per_page' => $itemlimit,
			'paged' => $paged,
			'type' => get_query_var('type')					      	 	
			);

		$query = new WP_Query( $args );

		while ($query->have_posts()) : $query->the_post(); 						
			
			/* Create slide Images from featured image */
			$id = get_the_ID();
			$swm_featured_image = wp_get_attachment_url(get_post_thumbnail_id($id));
			
			
			
			$slide_half = '<img src="'.swm_resize($swm_featured_image, 550,267,true,'c', false).'" alt="" />';					
			$slide_full = '<img src="'.swm_resize($swm_featured_image, 939,274,true,'c', false).'" alt="" />';
			$nivo_slide_image = '<img src="'.swm_resize($swm_featured_image, 925,269,true,'c', false).'" alt="" />';
			
			/* Get slider metabox data */
			$swm_slider_type = get_post_meta($post->ID, 'swm_slider_type', TRUE); 
			$swm_slide_size = get_post_meta($post->ID, 'swm_slide_size', TRUE); 
			$swm_slide_alignment = get_post_meta($post->ID, 'swm_slide_alignment', TRUE); 
			$swm_slider_video_url = get_post_meta($post->ID, 'swm_slider_video_url', TRUE); 
			$swm_slider_image_link = get_post_meta($post->ID, 'swm_slider_image_link', TRUE);					
			$swm_display_slider_image_link = $swm_slider_image_link ? $swm_slider_image_link : '#';
			
		?> 
			
			<li>
				<?php
				
				/* ========== Slide Type Video ========== */
				if ($swm_slider_type == 'Video') { 							
				
					if ($swm_slide_size == 'Full Width') { ?>	
											
						<div class="slider-video-full round5">
							<iframe width="925" height="268" src="<?php echo $swm_slider_video_url; ?>" frameborder="0" allowfullscreen></iframe>
						</div> <!-- .slider-video-full -->															
					<?php
							
					}else {
							
						if ($swm_slide_alignment == 'Image/Video Left and Text Right') {	?>					
						
							<div class="slider-content-bg2">
								
								<div class="slider-image-left">							
									<div class="slider-video round5">
										<iframe width="550" height="267" src="<?php echo $swm_slider_video_url; ?>" frameborder="0" allowfullscreen></iframe>
									</div>
								</div>
								
								<div class="slider-content-right">			
									<h2><?php echo the_title(); ?></h2>
									<?php echo the_content(); ?>								
								</div>
							
							</div> <!-- .slider-content-bg2 -->
								
						<?php } else { ?>
								
							<div class="slider-content-bg1">
								
								<div class="slider-image-right">							
									<div class="slider-video round5">
										<iframe width="550" height="267" src="<?php echo $swm_slider_video_url; ?>" frameborder="0" allowfullscreen></iframe>										
									</div> <!-- .slider-video -->
								</div> <!-- .slider-image-right -->
								
								<div class="slider-content-left">			
									<h2><?php the_title(); ?></h2>
									<?php the_content(); ?>								
								</div>
							
							</div> <!-- .slider-content-bg2 -->
							
						<?php } /* End slide alignment condition if-else */	
							
						} /* End slide size condition if-else */							
				
				}else {							
					
					/* ========== Slide Type Image ========== */
					
					if ($swm_slide_size == 'Full Width') { ?>
								
						<div class="slider-image-full">					
							<div class="slider-image-overlay4"><a href="<?php echo $swm_display_slider_image_link; ?>"></a></div>
							 <?php echo $slide_full; ?>
						</div> <!-- .slider-image-left -->						
					 <?php	
						
					}else {
						
						/* Slide Image Left Align */
						
						if ($swm_slide_alignment == 'Image/Video Left and Text Right') {	?>						
							
							<div class="slider-content-bg2">								
							
								<div class="slider-image-left">					
									<div class="slider-image-overlay2"><a href="<?php echo $swm_display_slider_image_link; ?>"></a></div>
									 <?php echo $slide_half; ?>
								</div>
								
								
								<div class="slider-content-right">			
									<h2><?php echo the_title(); ?></h2>
									<?php echo the_content(); ?>								
								</div>
							
							</div> <!-- .slider-content-bg2 -->
							
						<?php } else { 
							
							/* Slide Image Right Align */ 
							
							?>
							
							<div class="slider-content-bg1">
								
								<div class="slider-image-right">					
									<div class="slider-image-overlay2"><a href="<?php echo $swm_display_slider_image_link; ?>"></a></div>
									 <?php echo $slide_half; ?>
								</div>
								
								<div class="slider-content-left">			
									<h2><?php the_title(); ?></h2>
									<?php the_content(); ?>								
								</div>
							
							</div> <!-- .slider-content-bg2 -->
							
						<?php } /* _______ End slide alignment condition if-else _______ */	
						
					} /* _______ End slide size condition if-else _______ */								
					
				} /* _______ End slide type condition if-else _______ */													

				$count++; ?>
			</li>								
			
		<?php endwhile; ?>
		
	</ul>
		
	<div class="clear"></div>
	<!-- Slider Navigation -->
	
	<?php 	
	
	$swm_cycle_bullet_navigation = of_get_option('swm_slider_bullet_navigation'); 
	$swm_cycle_arrow_navigation = of_get_option('swm_slider_arrow_navigation');		
	
	if (($swm_cycle_arrow_navigation) || ($swm_cycle_bullet_navigation)) { 	
	?>		
		<div class="cycle-navigation">
		
			<?php if ($swm_cycle_arrow_navigation == true) { ?>
				<p class="cycle-prev"><a href="#" id="prev">Prev</a></p>
				<p class="cycle-next"><a href="#" id="next">Next</a></p>
			<?php }
			
			if ($swm_cycle_bullet_navigation == true) { ?>		
				<div class="center"><div id="nav"></div></div>		
			<?php } ?>	
			
		</div> <!-- .cycle-navigation -->
		
	<?php } ?>
	
	
</div> <!-- #cycle-slider -->
<div class="clear"></div>