/* 	
	Index of this JS File

	(01) On Load Scripts
	(02) Tab Script
	(03) Toggles
	(04) Hide Information Boxes (Close Button)
	(05) Filterable Pack / Sortable Portfolio	
	(06) Testimonial Rotator
	(07) Image Hover Fade Effect	
	(08) Ordered List
	
*/

;(function($) { $(document).ready(function(){
	
/* Do not delete above code */	

/* ------------------------------------------------------------
	(01) On Load Scripts
-------------------------------------------------------------- */

	$("a[rel^='prettyPhoto']").prettyPhoto(); 	 /* Pretty Photo */
    jQuery("#contactForm").validate();

/* ------------------------------------------------------------ 
	(02) Tab Script
-------------------------------------------------------------- */
	
	$(".tab_content").hide();
	$("ul.tabs li:first").addClass("active").show();
	$(".tab_content:first").show();
	
	$("ul.tabs li").click(function() {
		$("ul.tabs li").removeClass("active");
		$(this).addClass("active");
		$(".tab_content").hide();
		var activeTab = $(this).find("a").attr("href");
		$(activeTab).fadeIn();
		return false;
	});

/* ------------------------------------------------------------ 
	(03) Simple and Accordation Toggles
-------------------------------------------------------------- */

	$(".toggle_container").hide();
	$("p.trigger").click(function(){
		$(this).toggleClass("active").next().slideToggle(350);
	});
	
	$(".toggle_container2").hide();
	$("p.trigger2").click(function(){
		$(this).toggleClass("active2").next().slideToggle(350);
	});	
	
	$('.acc_container').hide();
	//$('.acc_trigger:first').addClass('active').next().show();
	
	$('.acc_trigger').click(function(){
		if( $(this).next().is(':hidden') ) { 
			$('.acc_trigger').removeClass('active').next().slideUp();
			//$(this).toggleClass('active').previous().slideUp();
			$(this).toggleClass('active').next().slideDown();
		}else{
			$(this).toggleClass('active').next().slideUp();
		}
		return false;
	});	
	
	$('.acc_container2').hide();
	//$('.acc_trigger:first').addClass('active').next().show();

	$('.acc_trigger2').click(function(){
		if( $(this).next().is(':hidden') ) { 
			$('.acc_trigger2').removeClass('active2').next().slideUp();
			$(this).toggleClass('active2').next().slideDown();	
		}else{
			$(this).toggleClass('active2').next().slideUp();
		}
		return false;
	});

/* ------------------------------------------------------------ 
	(04) Hide Information Boxes (Close Button)
-------------------------------------------------------------- */

	hide_boxes();
	function hide_boxes(){
		$('span.hide-boxes').click(function() {
			$(this).parent().fadeOut();					   
		});
		$('span.hide-boxes2').click(function() {
			$(this).parent().parent().fadeOut();					   
		});
	}

/* ------------------------------------------------------------ 
	(05) Filterable Pack / Sortable Portfolio
-------------------------------------------------------------- */
	
$(".swm_portfolio_sort").imagesLoaded( function() {
    $('.swm_portfolio_sort').isotope({
    itemSelector: '.swm_portfolio_isotope',
    masonry: {
        //custom addition
    }
    });
});


$('.filter_menu a').click(function(){
	var selector = $(this).attr('data-filter');
	$('.swm_portfolio_sort').isotope({filter: selector});
	$('.filter_menu a.active').removeClass('active');
	$(this).addClass('active');
	return false;
});


/* ------------------------------------------------------------ 
	(06) Sidebar Testimonial Rotator
-------------------------------------------------------------- */

	jQuery("#testimonials-slide").slides({
		preload: true,
		preloadImage: jQuery("#testimonials-slide").attr('src', 'images/slider/loading.gif'),
		crossfade: true,
		effect: 'swing',
		play: 5000,					
		fadeSpeed: 500,
		bigTarget: true,
		generatePagination: false,
		generateNextPrev: true,
		next: 'testimonials_next',
		prev: 'testimonials_previous',
		hoverPause: true,
		autoHeight: true    				
	});

/* ------------------------------------------------------------ 
	(07) Image Hover Fade Effect
-------------------------------------------------------------- */
	
	jQuery(".fade-img").show();
	jQuery(".fade-img img").fadeTo('normal', 1, function() {		
		$get_id = jQuery(this).parent().parent().attr("lang");
		if($get_id != ""){
			jQuery(this).parent().parent().addClass($get_id);			
			$(this).hover(function(){
				$(this).fadeTo('normal', 0.2);
				
			}, function() {
					$(this).fadeTo('normal', 1);
			});
		}
    });

	jQuery(".fade-img2").show();
	jQuery(".fade-img2 img").fadeTo('normal', 1, function() {		
		$get_id = jQuery(this).parent().parent().attr("lang");
		if($get_id != ""){
			jQuery(this).parent().parent().addClass($get_id);			
			$(this).hover(function(){
				$(this).fadeTo('normal', 0.5);
				
			}, function() {
					$(this).fadeTo('normal', 1);
			});
		}
    });
	
	jQuery(".fade-img3").show();
	jQuery(".fade-img3").fadeTo('normal', 1, function() {		
		$get_id = jQuery(this).parent().parent().attr("a");
		if($get_id != ""){
			jQuery(this).parent().parent().addClass($get_id);			
			$(this).hover(function(){
				$(this).fadeTo('normal', 0.5);
				
			}, function() {
					$(this).fadeTo('normal', 1);
			});
		}
    });

/* ------------------------------------------------------------ 
	(08) Ordered List
-------------------------------------------------------------- */ 
	
    $(".steps ol li:first")
    .addClass("first");
	
    $(".steps ol li:last")
    .addClass("last");

/* ========================================================== 
	(09) Detect IE
============================================================ */

if (navigator.appVersion.indexOf("MSIE 10") != -1) {
      document.documentElement.className+=' ie10';
}
	
/* ------------- */	  
/* Do not delete below code */
		
 }); })(jQuery);
 

