<!-- BEGIN .portfolio-wrap -->
<div class="portfolio-wrap">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<?php if (isset($_POST['featurevid'])){ $custom = get_post_custom($post->ID); $featurevid = $custom['featurevid'][0]; } ?>
	
		<?php
	  		$portfolioColumn = get_theme_mod( 'category_columns', 'two' );
	  		if ( $portfolioColumn ) {
	  			switch ( $portfolioColumn ) {
	  				case 'one':
	    				$content = 'single';
	    				break;
	
	  				case 'two':
	  					$content = 'half';
	  					break;
	
	  				case 'three':
	  					$content = 'third';
	  					break;
	  				
	  				case 'four':
	  					$content = 'fourth';
	  					break;
	  			}
	  		}	
	  		else { 
	  			$content = 'half';
	  		}
	    ?>
	    
		<!-- BEGIN .columns -->
	    <div class="<?php echo $content; ?>">
	            
			<!-- BEGIN .portfolio-item -->
			<div class="portfolio-item">
	            
	            <?php if ( get_post_meta($post->ID, 'featurevid', true) ) { ?>
	            	<div class="feature-vid"><?php echo get_post_meta($post->ID, 'featurevid', true); ?></div>
	            <?php } else { ?>
	            	<?php if ( has_post_thumbnail() ) { ?>
	            		<a class="feature-img" href="<?php the_permalink() ?>" rel="bookmark" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'organicthemes' ), the_title_attribute( 'echo=0' ) ) ); ?>"><?php the_post_thumbnail( 'photographer-featured-large' ); ?></a>
	            	<?php } ?>
	            <?php } ?>
	            
	            <!-- BEGIN .information -->
	            <div class="information">
	                          
	                <h2 class="headline-small text-center<?php if ( has_post_thumbnail() || get_post_meta($post->ID, 'featurevid', true) ) { ?> top-margin<?php } ?>"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php esc_attr(the_title_attribute()); ?>"><?php the_title(); ?></a></h2>
	                
	                <?php if ( ! empty( $post->post_excerpt ) ) { ?>
	                	<?php the_excerpt(); ?>
	                <?php } ?>
	            
	            <!-- END .information -->
	            </div>
		     
		    <!-- END .portfolio-item -->
			</div>
		     
		<!-- END .columns -->     
		</div>
								
	<?php endwhile;  ?>

<!-- END .portfolio-wrap -->
</div>
		
	<?php if ( $wp_query->max_num_pages > 1 ) { ?>
		
		<!-- BEGIN .pagination-holder -->
		<div class="pagination-holder">
		
			<div class="pagination">
				<?php echo photographer_get_pagination_links(); ?>
			</div><!-- END .pagination -->
		
		<!-- END .pagination-holder -->
		</div>
		
	<?php } ?>
		
	<?php else: ?>

<!-- END .portfolio-wrap -->
</div>

	<!-- BEGIN .error-404 -->
    <div class="error-404">

    	<h1 class="headline"><?php _e("No Posts Found", 'organicthemes'); ?></h1>
    	<p><?php _e("We're sorry, but no posts have been found. Create a post to be added to this section, and configure your theme options.", 'organicthemes'); ?></p>
    
    <!-- END .error-404 -->
    </div>
    
	<?php endif; ?>