<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
	<h1 class="headline text-center"><?php the_title(); ?></h1>

	<?php the_content(__("Read More", 'organicthemes')); ?>

	<?php wp_link_pages(array(
		'before' => '<p class="page-links"><span class="link-label">' . __('Pages:', 'organicthemes') . '</span>',
		'after' => '</p>',
		'link_before' => '<span>',
		'link_after' => '</span>',
		'next_or_number' => 'next_and_number',
		'nextpagelink' => __('Next', 'organicthemes'),
		'previouspagelink' => __('Previous', 'organicthemes'),
		'pagelink' => '%',
		'echo' => 1 )
	); ?>
	
	<?php if ( ! has_post_thumbnail() || get_theme_mod('display_project_slideshow', '') == '1' ) { ?>
	
	<!-- BEGIN .post-navigation -->
	<div class="post-navigation">
	
		<div class="previous-post"><?php previous_post_link('&larr; %link'); ?></div>
		<div class="next-post"><?php next_post_link('%link &rarr;'); ?></div>
		
	<!-- END .post-navigation -->
	</div>

	<?php } ?>

	<?php if ( comments_open() || '0' != get_comments_number() ) comments_template(); ?>
	
	<div class="clear"></div>

<?php endwhile; else: ?>
	
	<div class="error-404">
		<h1 class="headline"><?php _e("No Project Found", 'organicthemes'); ?></h1>
		<p><?php _e("We're sorry, but the project was not found.", 'organicthemes'); ?></p>
	</div>

<?php endif; ?>