<!-- BEGIN .flexslider -->
<div class="flexslider loading" data-speed="<?php echo get_theme_mod( 'photographer_transition_interval', '8000' ); ?>" data-transition="<?php echo get_theme_mod( 'photographer_transition_style', 'fade' ); ?>">

	<div class="preloader"></div>

	<!-- BEGIN .slides -->
	<ul class="slides">
	
		<?php $slider = new WP_Query(array('cat'=>get_theme_mod( 'photographer_slideshow_category', '0' ), 'posts_per_page'=>get_theme_mod( 'photographer_slideshow_postnumber', '12' ))); ?>
		<?php if($slider->have_posts()) : while($slider->have_posts()) : $slider->the_post(); ?>
		<?php if (isset($_POST['featurevid'])){ $custom = get_post_custom($post->ID); $featurevid = $custom['featurevid'][0]; } ?>
		
		<li>
			<?php if ( get_post_meta($post->ID, 'featurevid', true) ) { ?>
			    <div class="feature-vid"><?php echo get_post_meta($post->ID, 'featurevid', true); ?></div>
			<?php } else { ?>
			    <?php if ( has_post_thumbnail()) { ?>
				    <a class="feature-img" href="<?php the_permalink(); ?>" href="<?php the_permalink() ?>" rel="bookmark" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'organicthemes' ), the_title_attribute( 'echo=0' ) ) ); ?>"><?php the_post_thumbnail( 'photographer-featured-large' ); ?></a>
			    <?php } else { ?>
			    	<a class="feature-img" href="<?php the_permalink() ?>" rel="bookmark" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'organicthemes' ), the_title_attribute( 'echo=0' ) ) ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/default-img.svg" alt="<?php the_title(); ?>" /></a>
			    <?php } ?>
			<?php } ?>
		</li>
		
		<?php endwhile; ?>
		<?php endif; ?>
		<?php wp_reset_postdata(); ?>
		
	<!-- END .slides -->
	</ul>

<!-- END .flexslider -->
</div>