<?php
/**
* The blog for our theme.
*
* @package Photographer
* @since Photographer 3.0
*
*/
get_header(); ?>

<!-- BEGIN .post class -->
<div <?php if ( is_active_sidebar( 'blog-sidebar' ) ) { post_class('container blog-small'); } else { post_class('container blog-full'); } ?> id="page-<?php the_ID(); ?>">
	
	<?php $header_image = get_header_image(); if ( ! empty( $header_image ) ) { ?>
	
	<!-- BEGIN .row -->
	<div class="row">
	
		<!-- BEGIN #custom-header -->
		<div id="custom-header">
		
			<img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="<?php echo esc_attr( get_bloginfo() ); ?>" />
		
		<!-- END #custom-header -->
		</div>
		
	<!-- END .row -->
	</div>
	
	<?php } ?>
	
	<!-- BEGIN .row -->
	<div class="row">
	
		<?php if ( is_active_sidebar( 'blog-sidebar' ) ) { ?>
	
		<!-- BEGIN .eight columns -->
		<div class="eight columns">
			
			<?php get_template_part( 'content/loop', 'blog' ); ?>
		
		<!-- END .columns -->
		</div>
		
		<!-- BEGIN .four columns -->
		<div class="four columns">
		
			<?php get_sidebar( 'blog' ); ?>
		
		<!-- END .columns -->
		</div>
		
		<?php } else { ?>
		
		<!-- BEGIN .twelve columns -->
		<div class="twelve columns">
			
			<?php get_template_part( 'content/loop', 'blog' ); ?>
		
		<!-- END .columns -->
		</div>
		
		<?php } ?>
	
	<!-- END .row -->
	</div>
	
<!-- END .post class -->	
</div>
	
<?php get_footer(); ?>