<?php
/**
* This template displays single post content for the portfolio CPT.
*
* @package Photographer
* @since Photographer 3.0
*
*/
get_header(); ?>

<!-- BEGIN .post class -->
<div <?php post_class('container'); ?> id="page-<?php the_ID(); ?>">

	<?php if ( has_post_thumbnail() && get_theme_mod( 'display_project_slideshow', '' ) == '' ) { ?>
		
	<!-- BEGIN .row -->
	<div class="row">
		
		<!-- BEGIN .twelve columns -->
		<div class="twelve columns">
			
			<!-- BEGIN .feature-img -->
			<div class="feature-img ">
	
				<!-- BEGIN .post-navigation -->
				<div class="post-navigation portfolio-nav">
					<div class="previous-post"><?php previous_post_link('%link', '<i class="fa fa-angle-left"></i> <span>Previous Post</span>'); ?></div>
					<div class="next-post"><?php next_post_link('%link', '<i class="fa fa-angle-right"></i> <span>Next Post</span>'); ?></div>
				<!-- END .post-navigation -->
				</div>
	
				<?php the_post_thumbnail( 'photographer-featured-large' ); ?>
			
			<!-- END .banner -->
			</div>
		
		<!-- END .twelve columns -->
		</div>
		
	<!-- END .row -->
	</div>
		
	<?php } ?>
	
	<?php if ( get_theme_mod( 'display_project_slideshow', '' ) == '1' ) { ?>
	
	<!-- BEGIN .row -->
	<div class="row">
	
		<!-- BEGIN .twelve columns -->
		<div class="twelve columns">

			<?php get_template_part( 'content/loop', 'slider-gallery' ); ?>
		
		<!-- END .twelve columns -->
		</div>
	
	<!-- END .row -->
	</div>
		
	<?php } ?>

	<!-- BEGIN .row -->
	<div class="row">

		<!-- BEGIN .columns -->
		<div class="twelve columns">
		
			<!-- BEGIN .post-area full-width -->
			<div class="post-area full-width">

				<?php get_template_part( 'content/loop', 'project' ); ?>
				
			<!-- END .post-area -->
			</div>

		<!-- END .columns -->
		</div>
			
	<!-- END .row -->
	</div>

<!-- END .post class -->
</div>

<?php get_footer(); ?>