<?php
/**
 Template Name: Slideshow
 *
 * This template is used to display images in a slideshow.
 *
 * @package Photographer
 * @since Photographer 3.0
 *
 */ 
 get_header(); ?>

<!-- BEGIN .container -->
<div class="container">
	
	<!-- BEGIN .row -->
	<div class="row">

		<!-- BEGIN .twelve columns -->
		<div class="twelve columns">
			
			<!-- BEGIN #slideshow -->
			<div id="slideshow" class="slideshow-page">
			
				<h1 class="headline text-center"><?php the_title(); ?></h1>
				
				<?php get_template_part( 'content/loop', 'slider-gallery' ); ?>
			
			<!-- END #slideshow -->
			</div>
		
		<!-- END .twelve columns -->
		</div>
		
	<!-- END .row -->
	</div>

<!-- END .post class -->
</div>	

<?php get_footer(); ?>